Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-2629

puppet-agent requires find, which isn't a declared dependency

    Details

    • Template:
    • Team:
      Night's Watch
    • Story Points:
      1
    • Sprint:
      PR - 2019-05-02, PR - 2019-05-15, PR - 2019-05-29
    • Method Found:
      Needs Assessment
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      puppet-agent required find, but didn't declare it as a dependency. It now correctly requires `findutils` as a dependency.
    • QA Risk Assessment:
      Needs Assessment

      Description

      Hey,
      I hope this is the correct project for the issue. During some tests with beaker-hostgenerator and fedora images I noticed that the puppet agent depends on the `find` binary. But it isn't present in the generated docker image. I think find should be a dependencyat least for the fedora rpms (and probably all other packages). You can check the error here: https://travis-ci.org/voxpupuli/puppet-lldpd/jobs/516909545#L1201

        Attachments

          Activity

            People

            • Assignee:
              gheorghe.popescu Gheorghe Popescu
              Reporter:
              bastelfreak Tim Meusel
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support